Bug 4923 - rvplayer realplayer 5.0, can't get it to work in redhat 6.0
rvplayer realplayer 5.0, can't get it to work in redhat 6.0
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: dev (Show other bugs)
6.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-09-05 03:47 EDT by jszabo
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-09-07 09:50:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jszabo 1999-09-05 03:47:47 EDT
rvplayer
realplayer

can't get realplayer 5.0 to work in redhat 6.0 for i386
when I play welcome.rm it says:

General error.  An error has occurred.

For more information, please see Error 1 at:
http://www.realaudio.com/help/errors

but error 1 is the most general of errors

it does say this at the unix prompt:

'****audio: write error: 33 bytes errno: 0'

but /dev/dsp & /dev/mixer are writeable
I can send an strace if you want

I am using the linux ELF version of rvplayer 5.0
had to copy all the rvplayer *.so files to /usr/lib to make
any progress at all
Comment 1 Bill Nottingham 1999-09-07 09:50:59 EDT
There are two problems. First of all, it's relying on a bug
that was present in the sound drivers in the 2.0 kernels that's
been fixed in the 2.2 kernel. There are various fixes for this,
most involve patching the realplayer binary, or an LD_PRELOADED
library. (Search on the web for 'rpopen'.) Also, the RealPlayer
has some incompatibilites with glibc-2.1.

Your best bet is to download the G2 beta from Real's site.

Note You need to log in before you can comment on or make changes to this bug.